package server;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * The interface declaring the put/get remote methods
 */

public interface MessagePool extends Remote{
	
	// put message into the server
	public void put(String msg) throws RemoteException;
	
	// retrieve message from the server
	public String get() throws RemoteException;
}
